import type { SdkHttpOptions } from '../aws-auth';
import type { Notice, NoticeDataSource } from './types';
import type { IoHelper } from '../io/private';
export declare class WebsiteNoticeDataSource implements NoticeDataSource {
    private readonly ioHelper;
    private readonly options;
    constructor(ioHelper: IoHelper, options?: SdkHttpOptions);
    fetch(): Promise<Notice[]>;
}
